樋口@横浜です。

/usr/ports/www/linuxpluginwrapper
でmakeすると、
linux-gtk2-2.6.10
がインストールされた後で、
/usr/ports/graphics/linux-gdk-pixbuf
のmakeでconflictしているのだと思いますが、違いますか?

/usr/ports/www/linuxpluginwrapper
でmakeする前に、
/usr/ports/graphics/linux-gdk-pixbuf
をインストールしたら、うまくいきませんか?

つまり、
# pkg_delete -f linux-gtk2-2.6.10
# cd /usr/ports/graphics/linux-gdk-pixbuf
# make install clean
# cd /usr/ports/www/linuxpluginwrapper
# make install clean
です。

これでだめなら、
pkgdb(1)で無理矢理パッケージの依存関係を変えてみては?
とうぜん、makeできても動作しない場合もあるので、依存関係を
どうしたらいいかはぼくにはわかりませんが...

以上



From: Yuzo Hirasawa <[EMAIL PROTECTED]>
Message-ID: <[EMAIL PROTECTED]>

> FreeBSD6.2-beta2にて www/linuxpluginwrapperのインストールを
> portinstall www/linuxpluginwrapperで試みているのですが
> 
> ===>   linux-gdk-pixbuf-0.22.0.18.fc4.2 depends on file: 
> /usr/local/bin/rpm2cpio - found
> ===>  Patching for linux-gdk-pixbuf-0.22.0.18.fc4.2
> ===>  Configuring for linux-gdk-pixbuf-0.22.0.18.fc4.2
> ===>  Installing for linux-gdk-pixbuf-0.22.0.18.fc4.2
> 
> ===>  linux-gdk-pixbuf-0.22.0.18.fc4.2 conflicts with installed package(s): 
>       linux-gtk2-2.6.10
> 
>       They install files into the same place.
>       Please remove them first with pkg_delete(1).
> *** Error code 1
> 
> Stop in /usr/ports/graphics/linux-gdk-pixbuf.
> *** Error code 1
> 
> Stop in /usr/ports/graphics/linux-gdk-pixbuf.
> *** Error code 1
> 
> Stop in /usr/ports/multimedia/linux-realplayer.
> *** Error code 1
> 
> Stop in /usr/ports/multimedia/linux-realplayer.
> *** Error code 1
> 
> Stop in /usr/ports/www/linuxpluginwrapper.
> *** Error code 1Stop in /usr/ports/www/linuxpluginwrapper.
> ** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portinstall.71232.0 
> env make reinstall
> ** Fix the installation problem and try again.
> --->  Installation of www/linuxpluginwrapper ended at: Sun, 05 Nov 2006 
> 17:22:20 +0900 (consumed 00:00:04)
> --->  Saving the log as '/var/log/ports/www::linuxpluginwrapper'
> --->  Fresh installation of www/linuxpluginwrapper ended at: Sun, 05 Nov 2006 
> 17:22:20 +0900 (consumed 00:00:19)
> --->  ** Install tasks 1: 0 done, 0 ignored, 0 skipped and 1 failed
> --->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
>         ! www/linuxpluginwrapper        (install error)
> --->  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
> --->  Session ended at: Sun, 05 Nov 2006 17:22:20 +0900 (consumed 00:00:28)
> 
> ーーーーーーーーーーーーーーーーーーー
> 
> ===>  linux-gdk-pixbuf-0.22.0.18.fc4.2 conflicts with installed package(s): 
>       linux-gtk2-2.6.10
> がconflicts→衝突、矛盾?  と判断して
> pkg_delete linux-gtk2-2.6.10してみましたがいっこうに進みません!
> 
> このような場合はどのようにしたらよろしいのでしょうか?
> 宜しくお願いいたします。
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 

メールによる返信